Foros del Web » Programando para Internet » PHP »

IDE para PHP5

Estas en el tema de IDE para PHP5 en el foro de PHP en Foros del Web. Hola que tal. Quisiera saber si alguien no conoce algún IDE para PHP que reconozca la sintaxis de PHP 5. He probado muchos IDEs pero ...
  #1 (permalink)  
Antiguo 13/09/2004, 21:53
 
Fecha de Ingreso: septiembre-2004
Ubicación: Mendoza, Argentina
Mensajes: 10
Antigüedad: 13 años, 2 meses
Puntos: 0
Pregunta IDE para PHP5

Hola que tal. Quisiera saber si alguien no conoce algún IDE para PHP que reconozca la sintaxis de PHP 5. He probado muchos IDEs pero ninguno reconoce dicha sintaxis.

En realidad me interesaría que el IDE reconociera la sintaxis de Objetos de PHP 5. porque tengo que hacer un sistema para la Facultad y tiene que ser en PHP y de ser posible Orientado a Objetos.

Bueno, espero respuestas.

Desde ya muchas gracias.

KtX
  #2 (permalink)  
Antiguo 13/09/2004, 22:02
Avatar de Manoloweb  
Fecha de Ingreso: enero-2002
Ubicación: Monterrey
Mensajes: 2.454
Antigüedad: 15 años, 10 meses
Puntos: 5
Zend Studio

www.zend.com

__________________
Manoloweb
  #3 (permalink)  
Antiguo 13/09/2004, 22:23
 
Fecha de Ingreso: septiembre-2004
Ubicación: Mendoza, Argentina
Mensajes: 10
Antigüedad: 13 años, 2 meses
Puntos: 0
waw Manoloweb!!! que velocidad para contestar. Te agradesco el aporte pero lamentablemente ese IDE no lo puedo usar porque en mi maquina tengo Win Me y dicho IDE no viene para este Sistema Operativo.

Muchas Gracias de todas formas.

Por si sirve de algo mi maquina es una Celeron 560Mhz con 128MB de RAM y tiene instalado Windows Me
  #4 (permalink)  
Antiguo 13/09/2004, 23:31
Avatar de sir_notos  
Fecha de Ingreso: noviembre-2001
Ubicación: Mexicali
Mensajes: 709
Antigüedad: 16 años
Puntos: 1
Esta

phpEdit
dev-PHP IDE
__________________
Usuario Registrado de linux #374849
  #5 (permalink)  
Antiguo 14/09/2004, 00:04
 
Fecha de Ingreso: septiembre-2004
Ubicación: Mendoza, Argentina
Mensajes: 10
Antigüedad: 13 años, 2 meses
Puntos: 0
Gracias sir notos.

Del dev-PHP tengo creo que la ultima version y no me reconoce la sintaxis de objetos del PHP5. (Es decir todo eso de __construc(), variables public y demas)

tendria que probar el phpEdit pero se me corta en el medio de la instalacion jeje.

Muchas Gracias por el Aporte
  #6 (permalink)  
Antiguo 14/09/2004, 09:00
Avatar de Reynier  
Fecha de Ingreso: noviembre-2002
Ubicación: Por ahí en algún sitio
Mensajes: 1.844
Antigüedad: 15 años
Puntos: 1
Pues mira tu

Yo uso el NuSphere PHPEd y me acepta muy bien la sintaxis de PHP5.

Salu2
__________________
Ing. Reynier Pérez Mira
  #7 (permalink)  
Antiguo 14/09/2004, 11:06
 
Fecha de Ingreso: septiembre-2004
Ubicación: Mendoza, Argentina
Mensajes: 10
Antigüedad: 13 años, 2 meses
Puntos: 0
Muchas Gracias Reynier, yo tambien estoy usando el PHPEd (creo que la version 3.3.3 o algo asi) pero de todas maneras no me reconoce la sintaxis (la exclusiva de objetos, toda la demas si la reconoce). Seguramente debe ser que no estoy configurando algo. Gracias por el aporte ahora mismo me pongo a toquetear el PHPEd para ver si encuentro como hacer para que me la reconozca.

Nos vemos. y gracias otra vez.
  #8 (permalink)  
Antiguo 15/09/2004, 08:26
 
Fecha de Ingreso: septiembre-2004
Ubicación: Mendoza, Argentina
Mensajes: 10
Antigüedad: 13 años, 2 meses
Puntos: 0
Bueno ha logrado hacer funcionar el plugins PHPEclipse para el IDE Eclipse. vamos a ver que pasa con ese. me gusta porque es totalemente FREE. pero hay que ver hasta donde es bueno.

Chau Saludos!!
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 04:54.